SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - l -

- lower_right : SUAxisAlignedRect2D
- SULayerClearLineStyle() : SULayerRef
- SULayerCreate() : SULayerRef
- SULayerFolderAddLayer() : SULayerFolderRef
- SULayerFolderAddLayerFolder() : SULayerFolderRef
- SULayerFolderCreate() : SULayerFolderRef
- SULayerFolderFromEntity() : SULayerFolderRef
- SULayerFolderGetLayerFolders() : SULayerFolderRef
- SULayerFolderGetLayers() : SULayerFolderRef
- SULayerFolderGetName() : SULayerFolderRef
- SULayerFolderGetNumLayerFolders() : SULayerFolderRef
- SULayerFolderGetNumLayers() : SULayerFolderRef
- SULayerFolderGetParentLayerFolder() : SULayerFolderRef
- SULayerFolderGetVisibility() : SULayerFolderRef
- SULayerFolderRelease() : SULayerFolderRef
- SULayerFolderRemoveLayer() : SULayerFolderRef
- SULayerFolderSetName() : SULayerFolderRef
- SULayerFolderSetVisibility() : SULayerFolderRef
- SULayerFolderToEntity() : SULayerFolderRef
- SULayerFromEntity() : SULayerRef
- SULayerGetDisplayName() : SULayerRef
- SULayerGetLineStyle() : SULayerRef
- SULayerGetMaterial() : SULayerRef
- SULayerGetName() : SULayerRef
- SULayerGetParentLayerFolder() : SULayerRef
- SULayerGetSceneBehavior() : SULayerRef
- SULayerGetVisibility() : SULayerRef
- SULayerGroupGetVisibleOnNewScenes() : SULayerFolderRef
- SULayerGroupSetVisibleOnNewScenes() : SULayerFolderRef
- SULayerRelease() : SULayerRef
- SULayerSetLineStyle() : SULayerRef
- SULayerSetName() : SULayerRef
- SULayerSetSceneBehavior() : SULayerRef
- SULayerSetVisibility() : SULayerRef
- SULayerToEntity() : SULayerRef
- SULengthFormatterCreate() : SULengthFormatterRef
- SULengthFormatterGetAreaPrecision() : SULengthFormatterRef
- SULengthFormatterGetAreaString() : SULengthFormatterRef
- SULengthFormatterGetAreaUnits() : SULengthFormatterRef
- SULengthFormatterGetForceInchDisplay() : SULengthFormatterRef
- SULengthFormatterGetFormat() : SULengthFormatterRef
- SULengthFormatterGetLengthString() : SULengthFormatterRef
- SULengthFormatterGetPrecision() : SULengthFormatterRef
- SULengthFormatterGetSuppressUnits() : SULengthFormatterRef
- SULengthFormatterGetUnits() : SULengthFormatterRef
- SULengthFormatterGetVolumePrecision() : SULengthFormatterRef
- SULengthFormatterGetVolumeString() : SULengthFormatterRef
- SULengthFormatterGetVolumeUnits() : SULengthFormatterRef
- SULengthFormatterParseString() : SULengthFormatterRef
- SULengthFormatterRelease() : SULengthFormatterRef
- SULengthFormatterSetAreaPrecision() : SULengthFormatterRef
- SULengthFormatterSetAreaUnits() : SULengthFormatterRef
- SULengthFormatterSetForceInchDisplay() : SULengthFormatterRef
- SULengthFormatterSetFormat() : SULengthFormatterRef
- SULengthFormatterSetPrecision() : SULengthFormatterRef
- SULengthFormatterSetSuppressUnits() : SULengthFormatterRef
- SULengthFormatterSetUnits() : SULengthFormatterRef
- SULengthFormatterSetVolumePrecision() : SULengthFormatterRef
- SULengthFormatterSetVolumeUnits() : SULengthFormatterRef
- SULineStyleCreateCopy() : SULineStyleRef
- SULineStyleFromEntity() : SULineStyleRef
- SULineStyleGetColor() : SULineStyleRef
- SULineStyleGetLengthMultiplier() : SULineStyleRef
- SULineStyleGetName() : SULineStyleRef
- SULineStyleGetWidthPixels() : SULineStyleRef
- SULineStyleIsUserCreated() : SULineStyleRef
- SULineStyleRelease() : SULineStyleRef
- SULineStyleSetColor() : SULineStyleRef
- SULineStyleSetLengthMultiplier() : SULineStyleRef
- SULineStyleSetWidthPixels() : SULineStyleRef
- SULineStylesGetLineStyleByName() : SULineStylesRef
- SULineStylesGetLineStyleNames() : SULineStylesRef
- SULineStylesGetNumLineStyles() : SULineStylesRef
- SULineStyleToEntity() : SULineStyleRef
- SULocationGetLatLong() : SULocationRef
- SULocationSetLatLong() : SULocationRef
- SULocationSetNorthAngle() : SULocationRef
- SULoopFromEntity() : SULoopRef
- SULoopGetEdges() : SULoopRef
- SULoopGetEdgeUses() : SULoopRef
- SULoopGetFace() : SULoopRef
- SULoopGetNumVertices() : SULoopRef
- SULoopGetVertices() : SULoopRef
- SULoopGetWinding() : SULoopRef
- SULoopInputAddCurve() : SULoopInputRef
- SULoopInputAddVertexIndex() : SULoopInputRef
- SULoopInputCreate() : SULoopInputRef
- SULoopInputEdgeSetHidden() : SULoopInputRef
- SULoopInputEdgeSetLayer() : SULoopInputRef
- SULoopInputEdgeSetMaterial() : SULoopInputRef
- SULoopInputEdgeSetSmooth() : SULoopInputRef
- SULoopInputEdgeSetSoft() : SULoopInputRef
- SULoopInputIsClosed() : SULoopInputRef
- SULoopInputRelease() : SULoopInputRef
- SULoopIsConvex() : SULoopRef
- SULoopIsEdgeReversed() : SULoopRef
- SULoopIsOuterLoop() : SULoopRef
- SULoopToEntity() : SULoopRef